Bug 128504 - FILESAVE: ODT: Text becomes an hyperlink after RT
Summary: FILESAVE: ODT: Text becomes an hyperlink after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-31 13:11 UTC by Xisco Faulí
Modified: 2019-11-19 17:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-31 13:11:53 UTC
Steps to reproduce:
1. Open attachment 61300 [details] from bug 48975
2. Save it as .ODT
3. Open the new created file

-> Text "Download cool soff:" is an hyperlink now

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-10-31 13:15:11 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=576611895e51186d38ddefa10ed8d66075d9de37

author	Tünde Tóth <tundeth@gmail.com>	2019-10-08 13:58:44 +0200
committer	László Németh <nemeth@numbertext.org>	2019-10-12 10:00:20 +0200
commit	576611895e51186d38ddefa10ed8d66075d9de37 (patch)
tree	aa26c1878238bb6802cb403d9f68e98548bdaa1c
parent	d416250f4f1766e2d596ea3feef6a94b7adf29f4 (diff)
tdf#127741 DOCX import: format hyperlink with Default character style

Bisected with: bibisect-linux64-6.4

Adding Cc: to Tünde Tóth
Comment 2 Xisco Faulí 2019-10-31 13:25:43 UTC
Same issue reproduced with attachment 87228 [details] from bug 70221. After saving it to .ODT the text 'Main' in the TOC becomes an hyperlink
Comment 3 Commit Notification 2019-11-08 12:13:41 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/023285158bde72dcd73b965ce205cf8550e7a5e2

tdf#128504 save DOCX as ODT: don't color not highlighted hyperlinks

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-11 10:51:56 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: fea5c10e222b10d83e0081dc1d1b2e678689d250
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tünde Tóth, thanks for fixing this issue!
Comment 5 Xisco Faulí 2019-11-11 11:02:17 UTC
@Tünde Tóth, would it be possible to backport it to libreoffice-6-3 branch ?
Comment 6 Xisco Faulí 2019-11-13 10:51:15 UTC
(In reply to Xisco Faulí from comment #5)
> @Tünde Tóth, would it be possible to backport it to libreoffice-6-3 branch ?

@Gabor, @Tünde, I think it's important the fix for this issue get backported to 6-3 branch. I tried to do it myself but there were conflicts, that's why I'm asking you to do it, otherwise I would do it myself...
Comment 7 Commit Notification 2019-11-19 16:58:46 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/bc32cf9f1ad996c34ed19805787bbc2e5f198b91

tdf#128504 save DOCX as ODT: don't color not highlighted hyperlinks

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-11-19 17:28:02 UTC
Also verified in

Version: 6.3.4.0.0+
Build ID: bc32cf9f1ad996c34ed19805787bbc2e5f198b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded